Update security deployment
-
PUT
/platform/configuration/security/deployment
Auth
Updates an existing security deployment configuration.
The update request
-
version
string
-
The version of Elasticsearch to upgrade to. When not included, no upgrade is performed.
-
topology
object
-
The cluster topology for the Elasticsearch security deployment.
-
-
size
object
-
Measured by the amount of a resource. The final cluster size is calculated using multipliers from the topology instance configuration.
-
-
value
integer · format: int32
required
-
Amount of resource
-
resource
enum
required
-
Type of resource. In ESS the resource used should always be memory.
-
Values:
memory
storage
-
zone_count
integer · format: int32
-
The number of zones in which data nodes will be placed
The security deployment was successfully updated
application/json
-
id
string
required
-
The ID
The security deployment was not found. (code: security_deployment.not_found)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields
- There is a version conflict. (code:
security_deployment.version_conflict)
- There is a version conflict. (code:
security_deployment.already_exists)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields